%global debug_package   %{nil}

Summary: SELinux policies for container runtimes
Name:    container-selinux
Version: 2.221
Release: 2%{?dist}
License: GPLv2
URL:     https://github.com/containers/container-selinux
Source0: %{url}/archive/refs/tags/v%{version}.tar.gz

BuildRequires: make git-core pkgconfig(systemd) selinux-policy selinux-policy-devel

Requires: selinux-policy
Requires(post): selinux-policy-base selinux-policy-targeted policycoreutils libselinux-utils sed

Provides: docker-selinux = %{version}-%{release}

BuildArch: noarch

%description
SELinux policy modules for use with container runtimes.

%prep
%autosetup -n %{name}-%{version} -p1 -Sgit

%build
%make_build

%install
install -d %{buildroot}%{_datadir}/selinux/packages
install -d -p %{buildroot}%{_datadir}/selinux/devel/include/services
install -p -m 644 container.if %{buildroot}%{_datadir}/selinux/devel/include/services
install -m 0644 container.pp.bz2 %{buildroot}%{_datadir}/selinux/packages
install -d %{buildroot}/%{_datadir}/containers/selinux
install -m 644 container_contexts %{buildroot}/%{_datadir}/containers/selinux/contexts
install -d %{buildroot}%{_datadir}/udica/templates
install -m 0644 udica-templates/*.cil %{buildroot}%{_datadir}/udica/templates

%check

%pre
%selinux_relabel_pre -s targeted

%post
if [ $1 -eq 1 ]; then
   %{_sbindir}/setsebool -P -N virt_use_nfs=1 virt_sandbox_use_all_caps=1
fi
%{_sbindir}/semodule -n -s targeted -r container 2> /dev/null
%{_sbindir}/semodule -n -s targeted -d docker 2> /dev/null
%{_sbindir}/semodule -n -s targeted -d gear 2> /dev/null
%selinux_modules_install -s targeted %{_datadir}/selinux/packages/container.pp.bz2
. %{_sysconfdir}/selinux/config
sed -e "\|container_file_t|h; \${x;s|container_file_t||;{g;t};a\\" -e "container_file_t" -e "}" -i /etc/selinux/${SELINUXTYPE}/contexts/customizable_types 
matchpathcon -qV %{_sharedstatedir}/containers || restorecon -R %{_sharedstatedir}/containers &> /dev/null || :

%postun
if [ $1 -eq 0 ]; then
   %selinux_modules_uninstall -s targeted container docker
fi

%posttrans
%selinux_relabel_post -s targeted

%files
%doc README.md
%{_datadir}/selinux/*
%dir %{_datadir}/containers/selinux
%{_datadir}/containers/selinux/contexts
%dir %{_datadir}/udica/templates/
%{_datadir}/udica/templates/*

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.221-2
- Rebuilt for OpenCloudOS Stream 23.09

* Wed Aug 23 2023 wynnfeng <wynnfeng@tencent.com> - 2.221-1
- upgrade to 2.221

* Mon Jul 03 2023 kianli <kianli@tencent.com> - 2.218.0-1
- Upgrade to 2.218.0

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.195.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.195.0-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Dec 15 2022 Shuo Wang <abushwang@tencent.com> - 2.195.0-1
- initial build
